org.codehaus.plexus.interpolation

## Interface QueryEnabledValueSource

All Superinterfaces:
  ValueSource

All Known Implementing Classes:
  PrefixedObjectValueSource, PrefixedPropertiesValueSource, PrefixedValueSourceWrapper

    public interface QueryEnabledValueSource
    extends ValueSource

Tracks the most recent expression processed by this value source implementation. This can be useful if the most recent expression is meant to modify the current one.

Version:
  $Id$

### Method Summary

Methods
`java.lang.String` `getLastExpression()`

### Methods inherited from interface org.codehaus.plexus.interpolation.ValueSource

`clearFeedback, getFeedback, getValue`

### Method Detail

#### getLastExpression

    java.lang.String getLastExpression()

Returns:
  the most recent expression processed by this value source, or null.